Bug 1530512 - clean up port map on brick disconnect
Summary: clean up port map on brick disconnect
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.4
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Atin Mukherjee
QA Contact: Bala Konda Reddy M
URL:
Whiteboard:
Depends On: 1503244 1503246 1507747 1507749 1526371
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-01-03 07:47 UTC by Atin Mukherjee
Modified: 2018-09-04 06:42 UTC (History)
11 users (show)

Fixed In Version: glusterfs-3.12.2-3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1526371
Environment:
Last Closed: 2018-09-04 06:40:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:42:22 UTC

Comment 5 Bala Konda Reddy M 2018-04-18 07:49:44 UTC
Verified with 3.12.2-7

Followed these steps mentioned in the description.
1. Blocked port 49152 by running a program
2. Create a volume and start the volume so that brick starts listening to 49153
3. kill -9 <brick process id>
4. Released the port 49152 and waited for more than 2 minutes
5. force start the volume so that the brick now start listen to 49152.
6. Try to mount the volume

As expected mount is successful and cleanup of port is happening

Hence marking it as verified.

Comment 7 errata-xmlrpc 2018-09-04 06:40:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.